Developer Docs
OVERVIEW
RCS
SMS / 2Way SMS API
Number Intelligence
Balance
Contacts
Senders
Lists
Stoplists
Statistics
Get SMS price
Method for getting information about the price of one SMS message.
To get SMS price, make a request to this URL:
| GET https://one-api.bsg.world/api/prices/tariff |
Request parameters:
| Parameter | Required | Type | Default | Description |
|---|---|---|---|---|
| product | Yes | string | No | Service for which the tariff is being requested. Available values: sms |
| operator[mcc] | Yes | string | No | Mobile country code (MCC), the price of the message to which you need to get |
| operator[mnc] | Yes | string | No | MNC of the operator, the price for which you need to get |
| tariff_code | No | string | user_default_tariff |
Tariff scale number (integer from 0 to 9).
If the parameter is not specified, the price will be specified according to the tariff that is assigned as default on the account |
Response parameters:
| Parameter | Type | Description |
|---|---|---|
| country_id | string | Country code according to ISO 3166-1 alpha-2 standard |
| brand | string | Operator brand |
| name | string | Operator name |
| price | string | Price of the message to the direction specified in the input parameters |
| currency | string | Currency code in which the message price is specified. ISO 4217 format |
If the request is successful, you will receive a response:
{
"data": [
{
"country_id": "UA",
"brand": "MTS",
"name": "MTS Ukraine",
"price": "0.010828",
"currency": "UAH"
}
]
}
Interested in a special offer?
Ready to reach further?
Let’s talk
Submit